
#include <Servo.h>
//Definition of servomotors
Servo servohori;  //Horizontal motor
int servoh = 0;
int servohLimitHigh = 45;
int servohLimitLow = 0;

Servo servoverti; //Vertical motor
int servov = 0; 
int servovLimitHigh = 180;
int servovLimitLow = 0;


//Assignment of captors
int ldrtopl = 3; //to left
int ldrtopr = 2; //top right 
int ldrbotl = 1; // bottom left 
int ldrbotr = 0; // bottom right 

 void setup () 
 {
  servohori.attach(10); //Corresponds to the Arduino channel our horizontal motor is plugged in
  //servohori.write(0);
  servoverti.attach(9); // Vertical motor channel 
 //servoverti.write(0);
  delay(500);
 }

void loop(){
  //capturing values of servomotors
  servoh = servohori.read();
  servov = servoverti.read();
  
  //capturing analog values of each LDR
  int topl = analogRead(ldrtopl);
  int topr = analogRead(ldrtopr);
  int botl = analogRead(ldrbotl);
  int botr = analogRead(ldrbotr);
  
  // calculating average
  int avgtop = (topl + topr) / 2; //average of top LDRs
  int avgbot = (botl + botr) / 2; //average of bottom LDRs
  int avgleft = (topl + botl) / 2; //average of left LDRs
  int avgright = (topr + botr) / 2; //average of right LDRs

  //We then compare the top and bot average brightness to determine
  //which direction our horizontal servomotor should take


  if (avgtop < avgbot)  //More brightness at top than bottom

    if (servoh > servohLimitHigh) 
     { 
      servoh = servohLimitHigh;    //We check that we don't go further than the physical limit of our device
     }
    else{
      servohori.write(servoh -2); //The servomotor shifts by 2 degrees
    }
    delay(10);
  }
  else if (avgbot < avgtop) //More brightness at bottom than top
  {
    if (servoh < servohLimitLow)
  {
    servoh = servohLimitLow;
  }
  else
  {
  servohori.write(servoh +2);
  }
    delay(10);
  }
  else 
  {
    servohori.write(servoh);
  }


  //Same with left and right brightness

  
  if (avgleft > avgright)  //More brightness at left than right
  {
    
    if (servov > servovLimitHigh)
    {
    servov = servovLimitHigh;
    }
    else
    {
      servoverti.write(servov -2);
    }
    delay(10);
  }
  else if (avgright > avgleft)   //More brightness at right than left
  {
    
    if (servov < servovLimitLow)
     {
     servov = servovLimitLow;
     }
    else{
     servoverti.write(servov +2);
     }
    delay(10);
  }
  else 
  {
    servoverti.write(servov);
  }
  delay(50);
}
